Redmine - Feature #13497

Document all available Redmine links properly
2013-03-17 05:48 - Mischa The Evil

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Mischa The Evil % Done: 0%
Category: Documentation Estimated time: 0.00 hour
Target version: 3.0.0

Resolution: Fixed

Description

Currently not all Redmine link types are properly documented. E.g. forum and news links are missing in:

e RedmineTextFormatting (fixed in version 96)
e source:/trunk/app/helpers/application_helper.ro@11639#L 629
e source:/trunk/public/help/wiki_syntax_detailed.html@11639

Related issues:

Related to Redmine - Patch #6689: Document project-links in parse_redmine_links Closed 2010-10-18
Related to Redmine - Feature #1845: Add New Wiki formatting ltem Closed 2008-09-03
Related to Redmine - Patch #26188: Documentation (detailed syntax help & code... Closed

Associated revisions

Revision 13795 - 2014-12-24 13:27 - Jean-Philippe Lang
Adds News and Forum link documentation (#13497).

Patch by Matt Wiseley.

History

#1 - 2013-03-26 15:29 - Dipan Mehta

Recently | came across issue #11056 which enlightend me that paragraph color and other such properties are actually possible in wiki texts. | still
don't know which other such properties would be available.

Looks like many aspects are followed from here http:/redcloth.org/hobix.com/textile but | think many wouldn't be fully aware of this.

It will help if this will be included in this documentation.

#2 - 2013-10-12 04:27 - Mischa The Evil

- Description updated

#3 - 2013-10-12 05:13 - Mischa The Evil
- Related to Feature #1845: Add New Wiki formatting Item added

#4 - 2014-12-19 02:13 - Matt Wiseley
- File issue-13497.patch added

Attached is a patch file that adds News and Forum link documentation, as well as example of project name with space, to wiki_syntax_detailed.html.

#5 - 2014-12-24 13:28 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version set to 3.0.0

- Resolution set to Fixed

Patch committed in r13795, thanks!

#6 - 2017-06-18 13:54 - Mischa The Evil
https://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting
https://www.redmine.org/projects/redmine/repository/svn/revisions/11639/entry/trunk/app/helpers/application_helper.rb#L629
https://www.redmine.org/projects/redmine/repository/svn/revisions/11639/entry/trunk/public/help/wiki_syntax_detailed.html
https://www.redmine.org/issues/11056
http://redcloth.org/hobix.com/textile
https://www.redmine.org/projects/redmine/repository/svn/revisions/13795

- Related to Patch #26188: Documentation (detailed syntax help & code) additions/improvements added

Files

issue-13497.patch 87.5 KB 2014-12-19 Matt Wiseley
